/*
 * TravexFicha.java
 *
 * Created on 15 de noviembre de 2006, 06:16 PM
 *
 */

package logica;

/**
 *
 * @author almunoz
 */
public class TravexFicha {
    public int numero;
    public int top;
    public int bottom;
    public int left;
    public int right;
    public int posicion;
    public boolean marcada;
    
    /** Creates a new instance of TravexFicha */
    public TravexFicha() {
        numero = 0;
        top = 0;
        bottom = 0;
        left = 0;
        right = 0;
        posicion = 0;
        marcada = false;
    }
    
    public TravexFicha(int pos) {
        numero = pos;
        top = 0;
        bottom = 0;
        left = 0;
        right = 0;
        posicion = pos;
        marcada = false;
    }
    
    public boolean comparar(int rightValue, int bottomValue){
        if(rightValue==-1 && bottomValue==-1){
            return true;
        }
        else if(bottomValue==-1 && this.left==rightValue){
            return true;
        }
        else if(rightValue==-1 && this.top==bottomValue){
            return true;
        }
        else if(this.left==rightValue && this.top==bottomValue){
            return true;
        }
        return false;
    }
    
}
